Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.challenge
Interface ChallengeResponseProtocol<Handle extends RawSerializable,Identifier extends RawSerializable>

All Superinterfaces:
  StatusChangeListener<Identifier>, StatusConstants

All Known Implementing Classes:
  ChallengeResponseProtocolImpl

    public interface ChallengeResponseProtocol<Handle extends RawSerializable,Identifier extends RawSerializable>

extends StatusChangeListener<Identifier>

Field Summary

Fields inherited from interface org.mpisws.p2p.transport.peerreview.StatusConstants
`STATUS_EXPOSED, STATUS_SUSPECTED, STATUS_TRUSTED`

Method Summary
`void` | `challengeSuspectedNode(Handle handle)`
`void` | `handleChallenge(Handle source, ChallengeMessage<Identifier> challenge, java.util.Map<java.lang.String,java.lang.Object> options)`
`void` | `handleIncomingMessage(Handle source, UserDataMessage<Handle> udm, java.util.Map<java.lang.String,java.lang.Object> options)`
`void` | `handleStatement(Handle source, PeerReviewMessage m, java.util.Map<java.lang.String,java.lang.Object> options)`

Methods inherited from interface org.mpisws.p2p.transport.peerreview.infostore.StatusChangeListener
`notifyStatusChange`

Method Detail

### challengeSuspectedNode

    void challengeSuspectedNode(Handle handle)

### handleChallenge

    void handleChallenge(Handle source,
                         ChallengeMessage<Identifier> challenge,
                         java.util.Map<java.lang.String,java.lang.Object> options)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### handleIncomingMessage

    void handleIncomingMessage(Handle source,
                               UserDataMessage<Handle> udm,
                               java.util.Map<java.lang.String,java.lang.Object> options)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### handleStatement

    void handleStatement(Handle source,
                         PeerReviewMessage m,
                         java.util.Map<java.lang.String,java.lang.Object> options)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.